<?php
# Neplatic
# 2009/25/08 @ Zdenek Styblik
# New, lighter and dumber version of previous frame-crap
#
#
#

class Neplatic {
	private $fileCfg = 'conf/conf-neplatic.php';
	private $dbHost = NULL;
	private $dbPort = NULL;
	private $dbUser = NULL;
	private $dbPass = NULL;
	private $dbName = NULL;
	# constructor
	function __construct() {
	}
	# destructor
	function __destruct() {
	}
  # initial function
	public function start() {
		$this->validateConfig();
		if (isset($_POST['searchInput'])) {
			$id = $_POST['searchInput'];
			$searchResult = $this->searchId($id);
			if (is_null($searchResult)) {
				print "<p>Členské ID nenalezeno.</p>";
			} else {
				print	"<table border=\"0\">\n";
				print "	<tr>\n";
				print "		<th>Rok</th>\n";
				print "		<th>Měsíc</th>\n";
				print "		<th>K zaplacení</th>\n";
				print "		<th>Zaplaceno</th>\n";
				print "		<th>Poslední změna</th>\n";
				print "	</tr>\n";
				foreach ($searchResult as $item) {
					print "	<tr>\n";
					print "		<td>{$item['year']}</td>\n";
					print "		<td>{$item['month']}</td>\n";
					print "		<td class=\"money\">".$item['ammountpending']
						.",- CZK</td>\n";
					print "		<td class=\"money\">".$item['ammountpaid']
						.",- CZK</td>\n";
					print "		<td>{$item['date_changed']}</td>\n";
					print "	</tr>\n";
				}
				print	"</table>\n";
			}
		}
		return "foo";
	} // start
  # search for inputed ID
	private function searchId($id = -1) {
		if (!is_numeric($id)) {
			return NULL;
		}
		# db connection credentials
		$host = $this->dbHost;
		$port = $this->dbPort;
		$user = $this->dbUser;
		$pass = $this->dbPass;
		$name = $this->dbName;
		# init db connection
		try {
			$dbConn = new PDO("pgsql:host={$host} port={$port} 
				dbname={$name} user={$user} password={$pass}");
		} catch (PDOException $e) {
			print '<p>Unable to connect to DB.</p>';
			return NULL;
		}
		# select from table where id user = $id and limit to 10 records
		$sqlSDues = "SELECT id_member, year, month, ammountpending, 
			ammountpaid, date_changed::timestamp(0) FROM view_dues WHERE 
			id_member = {$id} AND version_current = '1' 
		 	ORDER BY year DESC, month DESC LIMIT 10;";
		$resultSDues = $dbConn->query($sqlSDues);
		$rowCountSDues = $resultSDues->rowCount();
		if ($rowCountSDues == 0) {
			return NULL;
		}
		#$array = $resultSDues->fetchArray();
		return $resultSDues;
	} // searchId
	# validate config file
	private function validateConfig() {
		$fileCfg = $this->fileCfg;
		if (!file_exists($fileCfg) || !is_readable($fileCfg)) {
			die('Unable to open config file');
		} // if file_exists
		require_once($fileCfg);
		$reqCfgFields = array('dbHost', 'dbPort', 'dbUser', 'dbPass', 
			'dbName');
		foreach ($reqCfgFields as $field) {
			if (!isset($config[$field])) {
				die("Required parameter [{$field}] not set");
			} // if isset
		} // foreach
		$this->dbHost = $config['dbHost'];
		$this->dbPort = $config['dbPort'];
		$this->dbUser = $config['dbUser'];
		$this->dbPass = $config['dbPass'];
		$this->dbName = $config['dbName'];
	} // validateConfig
} // class Neplatic

?>
